Subject: [Dorsal-dev] All fixed :-)

From: Alfredo Raul Carella <[email-masked]>
Date: Wed, 17 Jun 2009 18:06:24 +0200

Hi,
I forgot to do that... (sorry). All is working now.
Thank you all for your time and your patience :-)

Alfredo

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Anders Logg [[email-masked]]
Sent: Wednesday, June 17, 2009 5:15 PM
To: [email-masked]
Subject: Re: [Dorsal-dev] Error running example script

Did you source the file dolfin.conf?

--
Anders

On Wed, Jun 17, 2009 at 04:56:43PM +0200, Alfredo Raul Carella wrote:
> Hi,
>
> I installed GiNaC 1.5, which solved the problem.
> Then I set the variable PETSC_DIR to  /usr/lib/petsc and the installation was successful :-)
> But... when I tried to run the example script, I got the following error code:
>
> alfredo@dhcp-68156:~/Work/FEniCS/dolfin-0.9.2/dolfin$ python demo.py
> Traceback (most recent call last):
>   File "demo.py", line 1, in <module>
>     from dolfin import *
> ImportError: No module named dolfin
>
> Could you help me with this? :-$
> ________________________________________
> From: Harish Narayanan [[email-masked]]
> Sent: Wednesday, June 17, 2009 12:03 AM
> To: [email-masked]
> Cc: Alfredo Raul Carella; [email-masked]
> Subject: Re: [Dorsal-dev] Error in FEniCS installation: swiginac-1.5.1.
>
> Johannes is right. Remove your ginac .deb package and add the following:
>
> cln
> ginac
>
> to the list of packages in lenny.platform.
>
> Also, when you run into a problem, compare lenny.platform with
> jaunty.platform or intrepid.platform. These are more heavily used by
> other people and have quite likely fixed the issues you see.
>
> Harish
>
> Johannes Ring wrote:
> > Hi,
> >
> > Swiginac 1.5.1 requires GiNaC 1.5 but lenny only comes with GiNaC 1.4. For
> > this version of GiNaC you should use Swiginac 1.0.0. I am not sure how to
> > do this in Dorsal, but that is probably your problem.
> >
> > Johannes
> >
> > On Tue, June 16, 2009 16:07, Alfredo Raul Carella wrote:
> >> Hi again,
> >>
> >> I did as you told me, and PETSC appears to be correctly installed now :-)
> >> (thanks)
> >> However, I had another problem with the installation. Here is the error
> >> message I got:
> >>
> >> error: command 'gcc' failed with exit status 1
> >> Failure with exit status: 1
> >> Exit message: There was a problem in build setup for swiginac-1.5.1.
> >>
> >> Do you have any suggestions?
> >> The complete error text is longer (about 50 lines). I hereby enclose the
> >> full text, in case it helps to figure out the problem
> >>
> >> Building swiginac-1.5.1
> >> running build_ext
> >> building '_swiginac' extension
> >> swigging swiginac.i to swiginac_wrap.cpp
> >> swig -python -c++ -o swiginac_wrap.cpp swiginac.i
> >> archive.i:59: Warning(503): Can't wrap 'operator <<' unless renamed to a
> >> valid identifier.
> >> archive.i:60: Warning(503): Can't wrap 'operator >>' unless renamed to a
> >> valid identifier.
> >> creating build
> >> creating build/temp.linux-i686-2.5
> >> gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall
> >> -Wstrict-prototypes -fPIC -I/usr/include/python2.5 -c swiginac_wrap.cpp -o
> >> build/temp.linux-i686-2.5/swiginac_wrap.o
> >> cc1plus: warning: command line option "-Wstrict-prototypes" is valid for
> >> Ada/C/ObjC but not for C++
> >> swiginac_wrap.cpp: In function ?PyObject*
> >> _wrap_new_registered_class_options(PyObject*, PyObject*)?:
> >> swiginac_wrap.cpp:24467: error: no matching function for call to
> >> ?GiNaC::registered_class_options::registered_class_options(const char*,
> >> const char*, const std::type_info&)?
> >> /usr/include/ginac/registrar.h:52: note: candidates are:
> >> GiNaC::registered_class_options::registered_class_options(const char*,
> >> const char*, const void*, GiNaC::ex (*)(const GiNaC::archive_node&,
> >> GiNaC::lst&))
> >> /usr/include/ginac/registrar.h:50: note:
> >> GiNaC::registered_class_options::registered_class_options(const
> >> GiNaC::registered_class_options&)
> >> swiginac_wrap.cpp: In function ?PyObject* _wrap_basic_match(PyObject*,
> >> PyObject*)?:
> >> swiginac_wrap.cpp:26089: error: no matching function for call to
> >> ?GiNaC::basic::match(const GiNaC::ex&, std::map<GiNaC::ex, GiNaC::ex,
> >> GiNaC::ex_is_less, std::allocator<std::pair<const GiNaC::ex, GiNaC::ex> >
> >>> &) const?
> >> /usr/include/ginac/basic.h:166: note: candidates are: virtual bool
> >> GiNaC::basic::match(const GiNaC::ex&, GiNaC::lst&) const
> >> swiginac_wrap.cpp: In function ?PyObject*
> >> _wrap_basic_return_type_tinfo(PyObject*, PyObject*)?:
> >> swiginac_wrap.cpp:27854: error: ?return_type_t? is not a member of ?GiNaC?
> >> swiginac_wrap.cpp:27854: error: expected `;' before ?result?
> >> swiginac_wrap.cpp:27864: error: ?result? was not declared in this scope
> >> swiginac_wrap.cpp:27882: error: expected type-specifier
> >> swiginac_wrap.cpp:27882: error: expected `)'
> >> swiginac_wrap.cpp:27882: error: expected `)' before ?;? token
> >> swiginac_wrap.cpp: In function ?PyObject*
> >> _wrap_integral_return_type_tinfo(PyObject*, PyObject*)?:
> >> swiginac_wrap.cpp:39493: error: ?return_type_t? is not a member of ?GiNaC?
> >> swiginac_wrap.cpp:39493: error: expected `;' before ?result?
> >> swiginac_wrap.cpp:39503: error: ?result? was not declared in this scope
> >> swiginac_wrap.cpp:39521: error: expected type-specifier
> >> swiginac_wrap.cpp:39521: error: expected `)'
> >> swiginac_wrap.cpp:39521: error: expected `)' before ?;? token
> >> swiginac_wrap.cpp: In function ?PyObject*
> >> _wrap_function_options_set_return_type__SWIG_0(PyObject*, PyObject*)?:
> >> swiginac_wrap.cpp:47628: error: ?return_type_t? is not a member of ?GiNaC?
> >> swiginac_wrap.cpp:47628: error: ?arg3? was not declared in this scope
> >> swiginac_wrap.cpp:47628: error: ?return_type_t? is not a member of ?GiNaC?
> >> swiginac_wrap.cpp:47628: error: expected primary-expression before ?)?
> >> token
> >> swiginac_wrap.cpp:47628: error: expected `;' before numeric constant
> >> swiginac_wrap.cpp:47655: error: expected type-specifier
> >> swiginac_wrap.cpp:47655: error: expected `>'
> >> swiginac_wrap.cpp:47655: error: expected `('
> >> swiginac_wrap.cpp:47655: error: ?return_type_t? is not a member of ?GiNaC?
> >> swiginac_wrap.cpp:47655: error: expected primary-expression before ?>?
> >> token
> >> swiginac_wrap.cpp:47655: error: expected `)' before ?;? token
> >> swiginac_wrap.cpp:47659: error: ?return_type_t? is not a member of ?GiNaC?
> >> swiginac_wrap.cpp:47659: error: expected `)' before ?const?
> >> swiginac_wrap.cpp: In function ?PyObject* _wrap_find(PyObject*,
> >> PyObject*)?:
> >> swiginac_wrap.cpp:49480: error: invalid initialization of reference of
> >> type ?GiNaC::lst&? from expression of type ?std::set<GiNaC::ex,
> >> GiNaC::ex_is_less, std::allocator<GiNaC::ex> >?
> >> /usr/include/ginac/ex.h:712: error: in passing argument 3 of ?bool
> >> GiNaC::find(const GiNaC::ex&, const GiNaC::ex&, GiNaC::lst&)?
> >> swiginac_wrap.cpp: In function ?PyObject* _wrap_match(PyObject*,
> >> PyObject*)?:
> >> swiginac_wrap.cpp:50825: error: invalid initialization of reference of
> >> type ?GiNaC::lst&? from expression of type ?std::map<GiNaC::ex, GiNaC::ex,
> >> GiNaC::ex_is_less, std::allocator<std::pair<const GiNaC::ex, GiNaC::ex> >
> >>> ?
> >> /usr/include/ginac/ex.h:772: error: in passing argument 3 of ?bool
> >> GiNaC::match(const GiNaC::ex&, const GiNaC::ex&, GiNaC::lst&)?
> >> swiginac_wrap.cpp: In function ?PyObject*
> >> _wrap_clifford_read_archive(PyObject*, PyObject*)?:
> >> swiginac_wrap.cpp:79024: error: ?class GiNaC::clifford? has no member
> >> named ?read_archive?
> >> error: command 'gcc' failed with exit status 1
> >> Failure with exit status: 1
> >> Exit message: There was a problem in build setup for swiginac-1.5.1.
> >>
> >>
> >> ________________________________________
> >> From: Anders Logg [[email-masked]]
> >> Sent: Tuesday, June 16, 2009 11:33 AM
> >> To: Alfredo Raul Carella
> >> Cc: [email-masked]
> >> Subject: Re: [Dorsal-dev] Error in FEniCS installation: PETSC
> >>
> >> On Tue, Jun 16, 2009 at 09:50:00AM +0200, Alfredo Raul Carella wrote:
> >>> Hi,
> >>>
> >>> I get this error when using Dorsal to install FEniCS in my Linux Debian
> >>> 5 (Lenny) laptop Dell XPSM1530:
> >>>
> >>>  ERROR: PETSC_DIR enviroment variable is not valid
> >>>  /home/alfredo/Work/FEniCS/slepc-3.0.0-p3/conf/slepc_common_variables:1:
> >>> /usr/lib/petsc/conf/variables: No such file or directory
> >>>  /home/alfredo/Work/FEniCS/slepc-3.0.0-p3/conf/slepc_common_variables:2:
> >>> /home/alfredo/Work/FEniCS/slepc-3.0.0-p3/linux-gnu-c-opt/conf/slepcvariables:
> >>> No such file or directory
> >>>  /home/alfredo/Work/FEniCS/slepc-3.0.0-p3/conf/slepc_common_rules:1:
> >>> /usr/lib/petsc/conf/rules: No such file or directory
> >>>  /home/alfredo/Work/FEniCS/slepc-3.0.0-p3/conf/slepc_common:15:
> >>> /usr/lib/petsc/conf/test: No such file or directory
> >>>  make: *** No rule to make target `/usr/lib/petsc/conf/test'.  Stop.
> >>>  Failure with exit status: 2
> >>>  Exit message: There was a problem building slepc-3.0.0-p3.
> >>>
> >>> I was told what I need to do is install petsc via dorsal, which should
> >>> be a small change, but I don't know how to do it.
> >>> Does anybody know hoy to fix this? Thanks in advance for your help! :-)
> >>>
> >>> Alfredo
> >> Just add on the line before slepc in platforms/lenny.platform:
> >>
> >> PACKAGES=(
> >> petsc
> >> slepc
> >> mtl
> >> trilinos
> >> fiat
> >> ferari
> >> ufc
> >> ufl
> >> ffc
> >> syfi
> >> viper
> >> instant
> >> dolfin
> >> )
> >>
> >> Make sure to remove the installation of Trilinos before rebuilding (or
> >> all of it) since it will otherwise break.
> >>
> >> Harish: Should there be a "pre-install" hook of some kind for packages so
> >> that
> >> Trilinos can be automatically removed before rebuilding?
> >>
> >>
> >
> >
> > _______________________________________________
> > Dorsal-dev mailing list
> > [email-masked]
> > http://fenics.org/mailman/listinfo/dorsal-dev
>
> _______________________________________________
> Dorsal-dev mailing list
> [email-masked]
> http://fenics.org/mailman/listinfo/dorsal-dev